Subject: Re: [PATCH 24/26] diff.c: add dimming to moved line detection

From: Junio C Hamano <[email-masked]>
Date: Wed, 21 Jun 2017 13:23:34 -0700

Stefan Beller <[email-masked]> writes:

> Any lines inside a moved block of code are not interesting. Boundaries
> of blocks are only interesting if they are next to another block of moved
> code.
>
> Signed-off-by: Stefan Beller <[email-masked]>
> ---
>  color.h                    |   2 +
>  diff.c                     | 139 ++++++++++++++++++++++++++++++++++++++++-----
>  diff.h                     |   9 ++-
>  t/t4015-diff-whitespace.sh | 124 ++++++++++++++++++++++++++++++++++++++++
>  4 files changed, 259 insertions(+), 15 deletions(-)
>
> diff --git a/color.h b/color.h
> index 90627650fc..0e091b0cf5 100644
> --- a/color.h
> +++ b/color.h
> @@ -42,6 +42,8 @@ struct strbuf;
>  #define GIT_COLOR_BG_BLUE	"\033[44m"
>  #define GIT_COLOR_BG_MAGENTA	"\033[45m"
>  #define GIT_COLOR_BG_CYAN	"\033[46m"
> +#define GIT_COLOR_DI		"\033[2m"
> +#define GIT_COLOR_DI_IT		"\033[2;3m"

I can and I think most naive readers understand what BOLD, BG and
BLUE means, but I do not think the same can be said to DI and IT.
If you meant FAINT and ITALIC, it is better to spell them out.  You
do not have to type them to too many places anyway.